Class | PhusionPassenger::MessageClient
In: | lib/phusion_passenger/message_client.rb
Parent: | Object

A convenience class for communicating with MessageServer servers, for example the ApplicationPool server.

### Methods

backtraces check_security_response close connected? detach new read read_scalar recv_io status write write_scalar xml

### Included Modules

Utils

### Public Class methods

new(username, password, address = "unix:

Connect to the given server. By default it connects to the current generation‘s helper server.

### Public Instance methods

backtraces()

BacktracesServer methods ###

check_security_response()
close()
connected?()
detach(detach_key)

ApplicationPool::Server methods ###

read()

Low level I/O methods ###

read_scalar()
recv_io(klass = IO, negotiate = true)
status()
write(*args)
write_scalar(*args)
xml()

[Validate]